<?php 
/* Current version of Redoable */
$current = '1.0';

load_theme_textdomain('redo_domain');

/* Blast you red baron! Initialise the k2/Redoable system */

require(TEMPLATEPATH . '/options/app/archive.php');

// Added by Dean Robinson for Alex King's Article plugin
require(TEMPLATEPATH . '/options/app/article.php');
// End added by Dean Robinson

require(TEMPLATEPATH . '/options/app/options.php');
require(TEMPLATEPATH . '/options/app/update.php');
require(TEMPLATEPATH . '/options/app/info.php');
require(TEMPLATEPATH . '/options/app/tools.php');

// Install and update Redoable if necessary
global $options_revision;
if (!get_option('redo_optionsrevision') or get_option('redo_optionsrevision') < $options_revision) {
	installredo::installer();
}

// Let's add the options page.
add_action ('admin_menu', 'redo_menu');

$redo_loc = '../themes/'.basename(dirname($file)); 

function redo_menu() {
	add_submenu_page('themes.php', __('Redoable Options','redo_domain'), __('Redoable Options','redo_domain'), 5, $redo_loc . 'functions.php', 'menu');
}

function menu() {
	load_plugin_textdomain('redo_options');
	//this begins the admin page

	include(TEMPLATEPATH . '/options/display/form.php');
}

// include Hasse R. Hansen's K2 header plugin - http://www.ramlev.dk
//require(TEMPLATEPATH . '/options/display/headers.php');

// Sidebar Modules for Redoable
if(class_exists('redo_sbm')) {
	redo_sbm::wp_bootstrap();
}

// Sidebar registration for dynamic sidebars
//if(function_exists('register_sidebar')) {
//	register_sidebar(array('before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>'));
//}

// Register the sidebar - This allows for multiple sidebars to be used.
if(function_exists('register_sidebars')) {
	register_sidebars(1, array('before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>'));
}

// this ends the admin page ?>
