<?php
// Revision number of the options file. Updated by SVN whenever this file is changed...or not...
$options_revision = intval(substr('$Revision: 1 $', 11, -2));

class installredo{
	function installer() {
		global $options_revision, $current;
		$autoload = 'yes';

		// Add / update the version number
		if ( !get_option('redo_installed') ) {
			add_option('redo_installed', $curent, 'This options simply tells me if Redoable has been installed before', $autoload);
		} else {
			update_option('redo_installed', $current);
		}

		// Add / update the options revision number
		if ( !get_option('redo_optionsrevision') ) {
			add_option('redo_optionsrevision', $options_revision, 'Revision number of Redoable options', $autoload);
		} else {
			update_option('redo_optionsrevision', $options_revision);
		}

		add_option('redo_aboutblurb', '', 'Allows you to write a small blurp about you and your blog, which will be put on the frontpage', $autoload);
		add_option('redo_asidescategory', '0', 'A category which will be treated differently from other categories', $autoload);
		add_option('redo_asidesposition', '0', 'Whether to use inline or sidebar asides', $autoload);
		add_option('redo_livesearch', '1', "If you don't trust JavaScript and Ajax, you can turn off LiveSearch. Otherwise I suggest you leave it on", $autoload); // (live & classic)
		add_option('redo_asidesnumber', '3', 'The number of Asides to show in the Sidebar. Default is 3.', $autoload);
		add_option('redo_archives', '', 'Set whether Redoable has a Live Archive page', $autoload);
		
		// Added by Dean Robinson for the Listen SBM
		add_option('redo_listencategory', '0', 'A link category which will be used in the Listen SBM.', $autoload);
		add_option('redo_listennumber', '3', 'The number of Listen Links to show in the Sidebar. Default is 3.', $autoload);
		// End added by Dean Robinson
		
		// Added by Dean Robinson for the Watch SBM
		add_option('redo_watchcategory', '0', 'A link category which will be used in the Watch SBM.', $autoload);
		add_option('redo_watchnumber', '3', 'The number of Watch Links to show in the Sidebar. Default is 3.', $autoload);
		// End added by Dean Robinson
		
		// Added by Dean Robinson for Alex King's Articles plugin
		add_option('redo_articles', '', 'Set whether Redoable has an Articles page', $autoload);
		// End added by Dean Robinson
		
		// Added by Dean Robinson to choose between Redoable logo and blog title in header
		add_option('redo_headerlogo', '1', 'By default the Redoable logo is shown in the headerm if you turn it off, you blog\'s title will be shown instead', $autoload);
		// End added by Dean Robinson
		
		add_option('redo_scheme', '', 'Choose the Scheme you want Redoable to use', $autoload);
		add_option('redo_livecommenting', '1', "If you don't trust JavaScript, you can turn off Live Commenting. Otherwise it is suggested you leave it on", $autoload);
		add_option('redo_styleinfo_format', 'Current style is <a href="%stylelink%" title="%style% by %author%">%style% %version%</a> by <a href="%site%">%author%</a><br />', 'Format for displaying the current selected style info.', $autoload);
		add_option('redo_styleinfo', '', 'Formatted string for style info display.', $autoload);
		add_option('redo_blogornoblog', 'Blog', 'The text on the first tab in the header navigation.', $autoload);
		add_option('redo_sbm_modules_active', array(), 'The active sidebar modules.', $autoload);
		add_option('redo_sbm_modules_disabled', array(), 'The disabled sidebar modules.', $autoload);
		add_option('redo_sbm_modules_next_id', 1, 'The ID for the next sidebar module.', $autoload);

		// Add the SBM stub file to the plugins list
		$sbm_stub_path = '../themes/' . get_option('template') . '/options/app/sbm-stub.php';
		$plugins = (array)get_option('active_plugins');
		$found = false;

		// Check to see if the stub plugin is already there
		for($i = 0; !$found && $i < count($plugins); $i++) {
			if($plugins[$i] == $sbm_stub_path) {
				$found = true;
			}
		}

		// If not, we can add it
		if(!$found) {
			$plugins[] = $sbm_stub_path;
			update_option('active_plugins', $plugins);
		}
	}
}
?>
