<?php
	global $wpdb;

	// Update
	$update = updater::redo_update();

	// Get the current K2 scheme
	$scheme_name = get_option('redo_scheme');
	$scheme_title = $scheme_name !== false ? $scheme_name : __('No Scheme','redo_domain');

	// Get the scheme files
	$scheme_files = array();
	$schemes_path = TEMPLATEPATH . '/styles/';

	// Scan for themes
	if(($dir = @dir($schemes_path)) !== false) {
		while(($file = $dir->read()) !== false) {
			if(is_dir($schemes_path . $file) and !preg_match('/^\.+$/i', $file)) {
				$schemes_subpath = $schemes_path . $file . '/';

				if(($sub_dir = @dir($schemes_subpath)) !== false) {
					while(($sub_file = $sub_dir->read()) !== false) {
						if(is_file($schemes_subpath . $sub_file) and preg_match('/\.css$/i', $sub_file)) {
							$scheme_files[] = $file . '/' . $sub_file;
						}
					}

					$sub_dir->close();
				}
			} elseif(is_file($schemes_path . $file) and preg_match('/\.css$/i', $file)) {
				$scheme_files[] = $file;
			}
		}

		$dir->close();
	}

	// Get the asides category
	$asides_id = get_option('redo_asidescategory');
	$asides_title = $asides_id != 0 ? $wpdb->get_var("SELECT cat_name from $wpdb->categories WHERE cat_ID = $asides_id LIMIT 1") : __('No Asides','redo_domain');

	// Get the categories we might use for asides
	$asides_cats = $wpdb->get_results("SELECT cat_ID, cat_name FROM $wpdb->categories");
	
	// Get the Listen Link category
	$listen_id = get_option('redo_listencategory');
	$listen_title = $listen_id != 0 ? $wpdb->get_var("SELECT cat_name from $wpdb->linkcategories WHERE cat_id = $listen_id LIMIT 1") : __('No Listen Links','redo_domain');

	// Get the Listen Link category
	$watch_id = get_option('redo_watchcategory');
	$watch_title = $watch_id != 0 ? $wpdb->get_var("SELECT cat_name from $wpdb->linkcategories WHERE cat_id = $watch_id LIMIT 1") : __('No Watch Links','redo_domain');

	// Get the link categories we might use for Listen and Watch modules
	$link_cats = $wpdb->get_results("SELECT cat_id, cat_name FROM $wpdb->linkcategories");
?>

<?php if(isset($_POST['configela'])) { ?>
<div class="updated">
	<p><?php _e('ELA Options for Redoable have been set','redo_domain'); ?></p>
</div>
<?php } ?>

<?php if(isset($_POST['Submit'])) { ?>
<div class="updated">
	<p><?php _e('Redoable Options have been updated','redo_domain'); ?></p>
</div>
<?php } ?>

<div class="wrap">
	<h2><?php _e('Redoable Options','redo_domain'); ?></h2>

	<form name="dofollow" action="" method="post">
		<input type="hidden" name="action" value="<?php echo($update); ?>" />
		<input type="hidden" name="page_options" value="'dofollow_timeout'" />

		<table width="700px" cellspacing="2" cellpadding="5" class="editform">
			<tr>
				<td>
					<p class="submit">
						<input type="submit" name="Submit" value="<?php _e('Update Options','redo_domain'); ?> &raquo;" />
					</p>
				</td>
			</tr>
			<!-- tr valign="top">
				<th scope="row"><?php _e('Redoable Scheme','redo_domain'); ?></th>

				<td -->
					<!-- select name="redo_scheme_file" id="redo_scheme_file" style="width: 300px;">
						<option value=""< ? php selected($scheme_name, ''); ?>>< ? php _e('No Scheme','redo_domain'); ?></option>

						< ? php foreach($scheme_files as $scheme_file) { ?>
						<option value="< ? php echo($scheme_file); ?>"< ? php selected($scheme_name, $scheme_file); ?>>< ? php echo($scheme_file); ?></option>
						< ? php } ?>
					</select -->
			
					<!-- p><small>< ? php _e('Choose the Custom Style you would like to use on this site.','redo_domain'); ?></small></p -->

					<!-- p>< ? php _e('Formatting to be used for displaying the style info. Use: <strong>%style%</strong> for style name, <strong>%stylelink%</strong> for the style\'s homepage, <strong>%author%</strong> for author, <strong>%site%</strong> for author\'s site, <strong>%version%</strong> for version and <strong>%comments%</strong> for style comments.','redo_domain'); ?></p -->

					<!-- p><textarea name="format" id="format" rows="3" cols="80">< ? php echo(stripslashes(get_option('redo_styleinfo_format'))); ?></textarea></p -->

					<!-- p><strong>< ? php _e('Outputs:','redo_domain'); ?></strong> < ? php redo_styleinfo_demo(); ?></p -->
				<!-- /td>
			</tr -->

			<!-- tr valign="top">
				<th scope="row" width="20%"><?php _e('Live Search','redo_domain'); ?></th>

				<td -->
					<!-- input name="livesearch" id="live-search" type="radio" value="1" < ? php checked('1', get_option('redo_livesearch')); ?> /> 
					<label for="live-search">< ? php _e('Enable Livesearch (default)','redo_domain'); ?></label><br />

					<input name="livesearch" id="classic-search" type="radio" value="0" < ? php checked('0', get_option('redo_livesearch')); ?> /> 
					<label for="classic-search">< ? php _e('Disable Livesearch','redo_domain'); ?></label>

					<p><small>< ? php printf(__('Livesearch is a javascript powered search-as-you-type solution. %s.','redo_domain'), '<a href="http://blog.bitflux.ch/wiki/LiveSearch">' .__('Would you like to know more?','redo_domain') . '</a>' ) ?></small></p -->
				<!-- /td>
			</tr -->
			
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Header Logo / Blog Title','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<input name="headerlogo" id="redoable-logo" type="radio" value="1" <?php checked('1', get_option('redo_headerlogo')); ?> /> 
					<label for="redoable-logo" style="padding-right:30px"><?php _e('Display Redoable Logo (default)','redo_domain'); ?></label>
					<input name="headerlogo" id="blog-title" type="radio" value="0" <?php checked('0', get_option('redo_headerlogo')); ?> /> 
					<label for="blog-title"><?php _e('Display Blog Title','redo_domain'); ?></label>
				</td>
			</tr>
			
			
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('AJAX Commenting','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<input name="livecommenting" id="live-commenting" type="radio" value="1" <?php checked('1', get_option('redo_livecommenting')); ?> /> 
					<label for="live-commenting" style="padding-right:30px"><?php _e('Enable AJAX Commenting (default)','redo_domain'); ?></label>
					<input name="livecommenting" id="classic-commenting" type="radio" value="0" <?php checked('0', get_option('redo_livecommenting')); ?> /> 
					<label for="classic-commenting"><?php _e('Disable AJAX Commenting','redo_domain'); ?></label>
				</td>
			</tr>


			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Sidenotes','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<strong><?php _e('Sidenotes Placement','redo_domain'); ?></strong>
					<input name="asidesposition" id="primary-asides" type="radio" value="0" <?php checked('0', get_option('redo_asidesposition')); ?> />
					<label for="primary-asides" style="padding-right:30px"><?php _e('Inline and Sidebar Sidenotes','redo_domain'); ?></label>
					<input name="asidesposition" id="secondary-asides" type="radio" value="1" <?php checked('1', get_option('redo_asidesposition')); ?> />
					<label for="secondary-asides"><?php _e('Sidebar Only Sidenotes','redo_domain'); ?></label>

					<p><small><?php _e('Determines whether Sidenotes (if they are active) are shown inline and in the sidebar or just on the sidebar.<br />Sidenotes only appear on the home page.','redo_domain'); ?></small></p>
				</td>
			</tr>
			<tr>
				<td>
					<strong><?php _e('Sidenotes Category','redo_domain'); ?></strong>
					<select name="asides_text" id="asides_text" style="width: 300px;">
						<option value="0"<?php selected($asides_id, '0'); ?>><?php _e('No Sidenotes','redo_domain'); ?></option>

						<?php foreach ($asides_cats as $cat) { ?>
						<option value="<?php echo($cat->cat_ID); ?>"<?php selected($asides_id, $cat->cat_ID); ?>><?php echo($cat->cat_name); ?></option>
						<?php } ?>
					</select>
					<p><small><?php printf(__('Just select a category and it will be displayed using %s.','redo_domain'), '<a href="http://photomatt.net/2004/05/19/asides/">' .__('Matt\'s Asides Technique','redo_domain') .'</a>' ); ?></small></p>
				</td>
			</tr>
			<tr>
				<td>
					<strong><?php _e('Sidenotes Number','redo_domain'); ?></strong>
					<input name="asidesnumber" id="asidesnumber" type="text" value="<?php echo(get_option('redo_asidesnumber')); ?>" size="2" /> 
					<p><small><?php _e('Set the number of Sidenotes to show in the Sidebar. Defaults to 3.','redo_domain'); ?></small></p>
				</td>
			</tr>
			
			<!-- Options for Listen Module added by Dean Robinson -->
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Listen Module','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<p><small>To disable the Listen Module, just set the category to 'No Listen Module' or the link number to '0'.</small></p>
					<strong><?php _e('Listen Link Category','redo_domain'); ?></strong>
					<select name="listen_text" id="listen_text" style="width: 300px;">
						<option value="0"<?php selected($listen_id, '0'); ?>><?php _e('No Listen Module','redo_domain'); ?></option>

						<?php foreach ($link_cats as $cat) { ?>
						<option value="<?php echo($cat->cat_id); ?>"<?php selected($listen_id, $cat->cat_id); ?>><?php echo($cat->cat_name); ?></option>
						<?php } ?>
					</select>
					<p><small>Just select a link category and the links will be used in the Listen Module in the sidebar.</small></p>
				</td>
			</tr>
			<tr>
				<td>
					<strong><?php _e('Listen Link Number','redo_domain'); ?></strong>
					<input name="listennumber" id="listennumber" type="text" value="<?php echo(get_option('redo_listennumber')); ?>" size="2" /> 
					<p><small><?php _e('Set the number of Listen Links to show in the Sidebar. Defaults to 3.','redo_domain'); ?></small></p>
				</td>
			</tr>
			<!-- End Listen Module Options -->
			

			<!-- Options for Watch Module added by Dean Robinson -->
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Watch Module','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<p><small>To disable the Watch Module, just set the category to 'No Watch Module' or the link number to '0'.</small></p>
					<strong><?php _e('Watch Link Category','redo_domain'); ?></strong>
					<select name="watch_text" id="watch_text" style="width: 300px;">
						<option value="0"<?php selected($watch_id, '0'); ?>><?php _e('No Watch Module','redo_domain'); ?></option>

						<?php foreach ($link_cats as $cat) { ?>
						<option value="<?php echo($cat->cat_id); ?>"<?php selected($watch_id, $cat->cat_id); ?>><?php echo($cat->cat_name); ?></option>
						<?php } ?>
					</select>
					<p><small>Just select a link category and the links will be used in the Watch Module in the sidebar.</small></p>
				</td>
			</tr>
			<tr>
				<td>
					<strong><?php _e('Watch Link Number','redo_domain'); ?></strong>
					<input name="watchnumber" id="watchnumber" type="text" value="<?php echo(get_option('redo_watchnumber')); ?>" size="2" /> 
					<p><small><?php _e('Set the number of Watch Links to show in the Sidebar. Defaults to 3.','redo_domain'); ?></small></p>
				</td>
			</tr>
			<!-- End Watch Module Options -->


			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('About Text','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<textarea name="about_text" style="width: 98%;" rows="5" id="about_text"><?php echo(stripslashes(get_option('redo_aboutblurb'))); ?></textarea>
					<p><small><?php _e('Enter a blurp about yourself here, and it will show up on the frontpage. Deleting the content disables the about blurp.','redo_domain'); ?></small></p>
				</td>
			</tr>
			

			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Blog?','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<input name="blog_text" style="width: 98%;" id="blog_text" value="<?php echo(stripslashes(get_option('redo_blogornoblog'))); ?>">
					<p><small><?php _e('The text on the first tab in the header navigation.','redo_domain'); ?></small></p>
				</td>
			</tr>
			
			<!-- Added by Dean Robinson for Gregarious plugin -->
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Gregarious Plugin','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<p><small><?php _e('This requires you to have the Gregarious plugin installed and activated. This will set up the ideal options for Gregarious to suit Redoable, you can still change these settings on the Gregarious Option Page. (Requires <a href="http://dev.lipidity.com/feature/wp-plugin-gregarious" target="_blank">Gregarious</a> plugin.)','redo_domain'); ?></small></p>
					<input name="configgregarious" id="configgregarious" class="button" type="submit" value="<?php _e('Setup Options for Gregarious Plugin','redo_domain') ?>" />
					<p><small><?php printf(__('Set the options of Ankur Kothari\'s brilliant %s for Redoable. (Also works for GregariousLite.)','redo_domain'), '<a href="http://dev.lipidity.com/feature/wp-plugin-gregarious" title="' .__('Find out more about Gregarious','redo_domain') . '">Gregarious Plugin</a>' ) ?></small></p>
				</td>
			</tr>
			<!-- end added by Dean Robinson -->

			<!-- Added by Dean Robinson for Ultimate Tag Warrior plugin -->
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Ultimate Tag Warrior Plugin','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<p><small><?php _e('This requires you to have the Ultimate Tag Warrior plugin installed and activated. This will set up the ideal options for UTW to suit Redoable, you can still change these settings on the Tags Option Page. (Requires <a href="http://www.neato.co.nz/" target="_blank">Ultimate Tag Warrior</a> plugin.)','redo_domain'); ?></small></p>
					<input name="configutw" id="configutw" class="button" type="submit" value="<?php _e('Setup Options for UTW Plugin','redo_domain') ?>" />
					<p><small><?php printf(__('Set the options of Christine Davis\'s brilliant %s for Redoable.','redo_domain'), '<a href="http://www.neato.co.nz/" title="' .__('Find out more about Ultimate Tag Warrior','redo_domain') . '">Ultimate Tag Warrior Plugin</a>' ) ?></small></p>
				</td>
			</tr>
			<!-- end added by Dean Robinson -->
			
			<!-- Added by Dean Robinson for Alex King's Articles plugin -->
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Articles Page','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<input name="articles" id="add-article" type="checkbox" value="add_article" <?php checked('add_article', get_option('redo_articles')); ?> />
					<label for="add-article"><?php _e('Enable the Redoable Article page','redo_domain'); ?></label>

					<p><small><?php _e('Enabling this checkbox will create an Articles Page, which will show up in your blog menu. (Requires <a href="http://alexking.org/projects/wordpress" target="_blank">Alex King\'s Articles</a> plugin.)','redo_domain'); ?></small></p>
				</td>
			</tr>
			<?php if( get_option('redo_articles') == 'add_article') { ?>
			<tr>
				<td>
					<input name="configarticles" id="configarticles" class="button" type="submit" value="<?php _e('Setup Alex King\'s Articles for Redoable Articles page','redo_domain') ?>" />

					<p><small><?php printf(__('Set the options of Alex King\'s brilliant %s for Redoable.','redo_domain'), '<a href="http://alexking.org/projects/wordpress" title="' .__('Find out more about Articles','redo_domain') . '">Articles Plugin</a>' ) ?></small></p>
				</td>
			</tr>
			<?php } ?>
			<!-- end added by Dean Robinson -->
			
			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Archives Page','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<input name="archives" id="add-archive" type="checkbox" value="add_archive" <?php checked('add_archive', get_option('redo_archives')); ?> />
					<label for="add-archives"><?php _e('Enable the Redoable Archives page','redo_domain'); ?></label>

					<p><small><?php _e('Enabling this checkbox will create an Archives Page, which will show up in your blog menu. (Requires <a href="http://www.sonsofskadi.net/index.php/extended-live-archive/" target="_blank">Extended Live Archives</a> Plugin.)','redo_domain'); ?></small></p>
				</td>
			</tr>
			<?php if(function_exists('af_ela_set_config')): ?>
			<tr>
				<td>
					<input name="configela" id="configela" class="button" type="submit" value="<?php _e('Setup ELA for Redoable Archives page','redo_domain') ?>" />

					<p><small><?php printf(__('Set the options of Arnaud\'s brilliant %s for Redoable.','redo_domain'), '<a href="http://www.sonsofskadi.net/index.php/extended-live-archive/" title="' .__('Find out more about ELA','redo_domain') . '">Extended Live Archives</a>' ) ?></small></p>
				</td>
			</tr>	
			<?php endif; ?>

			<tr>
				<th style="text-align:left;width:100%;background:#DEF;border-bottom:1px solid #9CF;"><?php _e('Uninstall Redoable','redo_domain'); ?></th>
			</tr>
			<tr>
				<td>
					<input name="uninstall" id="uninstall" class="button" type="submit" value="<?php _e('Uninstall Redoable','redo_domain'); ?>" />

					<p><small><?php _e('Having trouble with Redoable, or you have decided to "go another direction" with your site style? Fine, we don\'t care... be that way. I promised myself I wouldn\'t cry...','redo_domain'); ?></small></p>
				</td>
			</tr>
			
			<tr>
				<td>
					<p class="submit">
						<input type="submit" name="Submit" value="<?php _e('Update Options','redo_domain'); ?> &raquo;" />
					</p>					
				</td>
			</tr>
		</table>

	</form>
</div>

<div class="wrap">
 	<p style="text-align: center;"><?php printf(__('Help to be had at the %1$s or in the %2$s.','redo_domain'), '<a href="http://getk2.com/forum/" title="' .__('K2 Support Forums','redo_domain') . '">' .__('K2 Support Forums','redo_domain') . '</a>', '<a href="http://k2.stikipad.com/" title="' .__('K2 Documentation','redo_domain') . '">' .__('K2 Documentation','redo_domain') . '</a>' ); ?></p>
</div>
