<?php
/*
Plugin Name: Plugins Used Plugin - Widget
Version: 0.1 based on (Plugins Used Plugin 0.1.10)
Plugin URI: http://www.saltando.net
Description: Widget version of  Plugins Used Plugin (<a href="http://www.andrewsw.com/pages/pluginsUsedPlugin">http://www.andrewsw.com/pages/pluginsUsedPlugin</a>).
Author: Joan Fisbein (based on Plugins Used Plugin of Andrew Chen)
Author URI: http://www.saltando.net
*/

function jfa_PluginsUsedPlugin_init() {
	if (!function_exists('register_sidebar_widget'))
		return;
		
	function jfa_PluginsUsedPlugin_widget($args) {
		if (is_home()) {
			extract($args);
			
			$options = get_option('widget_jfa_PluginsUsedPlugin');
			$title = $options['title'];
			
			echo $before_widget;
			
			if ($title != '') {
				echo $before_title . $title . $after_title;
			}
			
			displayPluginsAsList();
			
			echo $after_widget;
		}
	}
	
	function displayPluginsAsList() {
		$activePluginsResult = get_settings('active_plugins');
		if (is_array($activePluginsResult)) {
			$pup_plugin_files = $activePluginsResult;
		} else {
			$pup_plugin_files = explode("\n", $activePluginsResult);
		};
		$myPluginFiles = array_values($pup_plugin_files);
		if (is_array($myPluginFiles[0])) {
			$myPluginFiles = array_keys($pup_plugin_files);
		};
		sort($myPluginFiles); // Alphabetize by filename. Better way?
		$myPluginFiles = array_unique($myPluginFiles);
	
		echo '<ul>';
	
		$style = '';
		foreach($myPluginFiles as $plugin_file) {
	    if (trim($plugin_file) == "") continue;
			if (!file_exists(ABSPATH . '/wp-content/plugins/' . $plugin_file)) continue;
			if (!is_readable(ABSPATH . '/wp-content/plugins/' . $plugin_file)) continue;
				
			$plugin_data = implode('', file(ABSPATH . '/wp-content/plugins/' . $plugin_file));
			
			preg_match("|Plugin Name:(.*)|i", $plugin_data, $plugin_name);
			if ('' == $plugin_name[1]) continue;
			
			preg_match("|Plugin URI:(.*)|i", $plugin_data, $plugin_uri);
			if ('' == $plugin_uri) {
				$plugin = $plugin_name[1];
			} else {
				$plugin = __("<a href='".trim($plugin_uri[1])."' title='Visit plugin homepage'>{$plugin_name[1]}</a>");
			};
	
			echo "<li> $plugin </li>";
		};
	
		echo '</ul>';
	}
	
	
	function jfa_PluginsUsedPlugin_widget_control() {
		// Get our options and see if we're handling a form submission.
		$options = get_option('widget_jfa_PluginsUsedPlugin');
		if (!is_array($options)) {
			$options = array('title'=>'');
		}
		
		if ($_POST['jfa_PluginsUsedPlugin_submit']) {
			// Remember to sanitize and format use input appropriately.
			$options['title'] = strip_tags(stripslashes($_POST['jfa_PluginsUsedPlugin_title']));
			update_option('widget_jfa_PluginsUsedPlugin', $options);
		}

		// Be sure you format your options to be valid HTML attributes.
		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		
		// Here is our little form segment. Notice that we don't need a
		// complete form. This will be embedded into the existing form.
		echo '<p style="text-align:right;"><label for="jfa_PluginsUsedPlugin_title">Title: <input style="width: 200px;" id="jfa_PluginsUsedPlugin_title" name="jfa_PluginsUsedPlugin_title" type="text" value="'.$title.'" /></label></p>';
		echo '<input type="hidden" id="jfa_PluginsUsedPlugin_submit" name="jfa_PluginsUsedPlugin_submit" value="1" />';
	}
	
	register_sidebar_widget('Plugins used Plugin', 'jfa_PluginsUsedPlugin_widget');
	register_widget_control('Plugins used Plugin', 'jfa_PluginsUsedPlugin_widget_control', 200, 100);
}

add_action('plugins_loaded', 'jfa_PluginsUsedPlugin_init');
?>