<?php
// SoSuechtig 2.7 for WordPress
// functions.php Copyright (C) 2006 Ben de Groot - modified by Patrick Queisler for SoSuechtig 2.6 Theme


// // //  set sidebar widgets markup in accordance with our theme  // // //
	if ( function_exists('register_sidebars') )
	
		  register_sidebars(2, array(
			'before_widget' => '',
			'after_widget' => '',
	));



// // //  override meta widget  // // //

function widget_bn_meta($args) {
	extract($args);
	$options = get_option('widget_bn_meta');
	$title = empty($options['title']) ? __('Meta') : $options['title'];
?>
	<?php echo $before_widget; ?>
	<?php echo $before_title . $title . $after_title; ?>
	<ul>
		<li><a href="http://www.sosuechtig.de/" title="<?php _e('SoSuechtig Theme Page'); ?>">SoSuechtig 2.7 Theme</a></li>
		<li><a href="<?php bloginfo('atom_url'); ?>"><?php _e('Atom feed','bnOutThere'); ?></a></li>
		<li><a href="<?php bloginfo('rss2_url'); ?>"><?php _e('RSS2 feed','bnOutThere'); ?></a></li>
		<?php wp_meta(); ?>
	</ul>
	<?php echo $after_widget; ?>
<?php
}

function widget_bn_meta_control() {
	$options = $newoptions = get_option('widget_bn_meta');
	if ( $_POST["bn-meta-submit"] ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["bn-meta-title"]));
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_bn_meta', $options);
	}
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
?>
			<p><label for="bn-meta-title"><?php _e('Title:'); ?> <input style="width: 250px;" id="bn-meta-title" name="bn-meta-title" type="text" value="<?php echo $title; ?>" /></label></p>
			<input type="hidden" id="bn-meta-submit" name="bn-meta-submit" value="1" />
<?php
}

if ( function_exists('register_sidebar_widget') ) {
	register_sidebar_widget(__('Meta'), 'widget_bn_meta');
	register_widget_control(__('Meta'), 'widget_bn_meta_control', 300, 90);
}

// // //  override pages widget  // // //

function widget_bn_pages($args) {
	extract($args);
	$options = get_option('widget_bn_pages');
	$title = empty($options['title']) ? __('Pages') : $options['title'];
?>
	<?php echo $before_widget; ?>
	<?php echo $before_title . $title . $after_title; ?>
	<ul>
	<?php wp_list_pages('title_li='); ?>
	</ul>
<?php
}

function widget_bn_pages_control() {
	$options = $newoptions = get_option('widget_bn_pages');
	if ( $_POST["bn-pages-submit"] ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["bn-pages-title"]));
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_bn_pages', $options);
	}
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
?>
			<p><label for="bn-pages-title"><?php _e('Title:'); ?> <input style="width: 250px;" id="bn-pages-title" name="bn-pages-title" type="text" value="<?php echo $title; ?>" /></label></p>
			<input type="hidden" id="bn-pages-submit" name="bn-pages-submit" value="1" />
<?php
}

if ( function_exists('register_sidebar_widget') ) {
	register_sidebar_widget(__('Pages'), 'widget_bn_pages');
	register_widget_control(__('Pages'), 'widget_bn_pages_control', 300, 90);
}

// // //  override links widget  // // //

function widget_bn_links($args) {
	global $wpdb;
	extract($args);
	$options = get_option('widget_bn_links');
	$title = empty($options['title']) ? __('Links') : $options['title'];
?>
	<?php echo $before_widget; ?>
	<?php echo
	$link_cats = $wpdb->get_results("SELECT cat_id, cat_name FROM $wpdb->linkcategories");
	foreach ($link_cats as $link_cat) {
?>
	<h2 id="linkcat-<?php echo $link_cat->cat_id; ?>"><?php echo $link_cat->cat_name; ?></h2>
	<ul>
		<?php wp_get_links($link_cat->cat_id); ?>
	</ul>
<?php }
}

function widget_bn_links_control() {
	$options = $newoptions = get_option('widget_bn_links');
	if ( $_POST["bn-links-submit"] ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["bn-links-title"]));
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_bn_links', $options);
	}
	$title = htmlspecialchars($options['title'], ENT_QUOTES);
?>
			<p><label for="bn-links-title"><?php _e('Title:'); ?> <input style="width: 250px;" id="bn-links-title" name="bn-links-title" type="text" value="<?php echo $title; ?>" /></label></p>
			<input type="hidden" id="bn-links-submit" name="bn-links-submit" value="1" />
<?php
}

if ( function_exists('register_sidebar_widget') ) {
	register_sidebar_widget(__('Links'), 'widget_bn_links');
	register_widget_control(__('Links'), 'widget_bn_links_control', 300, 90);
}

// // //  add blog description widget  // // //

function widget_bn_description($args) {
	extract($args);
	echo $before_widget;
?>
	<p><?php bloginfo('description'); ?></p>
<?php
	echo $after_widget;
}

if ( function_exists('register_sidebar_widget') ) {
	register_sidebar_widget(__('Blog Description'), 'widget_bn_description');
}

// // //  add copyright widget  // // //

function widget_bn_copyright($args) {
	extract($args);
	echo $before_widget;
?>
<p>&#169; <?php echo(date('Y')); ?> <?php bloginfo('name'); ?></p>
<?php
	echo $after_widget;
}

if ( function_exists('register_sidebar_widget') ) {
	register_sidebar_widget(__('Copyright'), 'widget_bn_copyright');
}

?>