<?php
if (function_exists('register_sidebar')) {
	register_sidebar(array('name'=>'Mid Panel Left','before_widget'=>'<p>','after_widget'=>'<br/></p>'));
	register_sidebar(array('name'=>'Mid Panel Right','before_widget'=>'<p>','after_widget'=>'<br/></p>'));
	register_sidebar(array('name'=>'Bot Panel Left','before_widget'=>'<p>','after_widget'=>'<br/></p>'));
	register_sidebar(array('name'=>'Bot Panel Right','before_widget'=>'<p>','after_widget'=>'<br/></p>'));
}

// The defaults for all the Squible-related options.
$squible_default_options = array(
	'squible_tagemail'=>'',
	'squible_limitchars'=>'450',
	'squible_allowed_html'=>'',
	'squible_cats_to_exclude'=>'',
	'squible_show_author'=>'0',
	'squible_show_recent_comments'=>'5',
	'squible_use_ajax'=>'1',
	'squible_nifty_numrelatedtags'=>'4',
	'squible_nifty_numrelatedposts'=>'4',
	'squible_search_by_tags'=>'0',
	'squible_use_admin_colours'=>'1',
	'squible_page_bgcolor'=>'#EEEEEE',
	'squible_content_bgcolor'=>'#FFFFFF',
	'squible_content_textcolor'=>'#000000',
	'squible_header_bgcolor'=>'#5087BD',
	'squible_header_textcolor'=>'#FFFFFF',
	'squible_header_bgcolor'=>'#5087BD',
	'squible_midpanel_bgcolor'=>'#5087BD',
	'squible_botpanel_bgcolor'=>'#FFFFFF',
	'squible_midpanel_textcolor'=>'#FFFFFF',
	'squible_botpanel_textcolor'=>'#000000',
	'squible_credits_bgcolor'=>'#5087BD',
	'squible_credits_textcolor'=>'#FFFFFF',
	'squible_numprevposts'=>'10'
);


function squible_reset_defaults() {
	// set ALL Squible-related options to their defaults.
	global $squible_default_options;
	foreach ($squible_default_options as $theitem => $thevalue) {
		update_option($theitem, $thevalue);
	}
}

function squible_defaultme($theoption) {
	// set specified Squible-related option to its default.
	global $squible_default_options;
	update_option($theoption, $squible_default_options[$theoption]);
}

add_action('admin_menu', 'squible_add_theme_page');

function squible_add_theme_page() {
	global $squible_default_options;
	if ( '1' != get_settings('squible_is_active') ) {
		// set default options if the theme hasn't been set up yet
		// TODO: code this to support updating the theme as well as a fresh install
		squible_reset_defaults();
	}
	if ( 'save-squibleoptions' == $_REQUEST['action'] ) {
		// save options, and revert to defaults if left blank
				
		foreach ($squible_default_options as $theitem => $thevalue) {
			$thefield = substr($theitem, 8);
			if ( isset($_REQUEST[$thefield]) ) {
				if ( '' == $_REQUEST[$thefield] )
					squible_defaultme($theitem);
				else
					update_option($theitem, $_REQUEST[$thefield]);
			}
		}

		header("Location: themes.php?page=functions.php&saved=true");
		die;
	}
	update_option('squible_version', 'Beta 2');

	add_theme_page("Squible Theme Options", "Squible Theme Options", 'edit_themes', basename(__FILE__), 'squible_theme_page');
}


function squible_theme_page() {
global $squible_default_options;
if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Options saved.</strong></p></div>';
?>
<script type="text/javascript" src="../wp-includes/js/colorpicker.js"></script>
<script type="text/javascript">var cp = new ColorPicker();</script>
<script type="text/javascript"><?php include(get_stylesheet_directory() . "/scripts/sampleupdater.js"); ?></script>
<br clear="all" />
<div class="wrap">
<form method="POST">
<h2>Squible <?php echo get_settings('squible_version'); ?> Configuration</h2>
<?php update_option('squible_is_active', '1'); ?>
<fieldset class="options">
<legend>Basic Options</legend>
<table class="optiontable">
<tr valign="top">
<th scope="row"><label for="tagemail">E-mail address: </label></th>
<td><input type="text" name="tagemail" size="40" value="<?php echo get_settings('squible_tagemail'); ?>" />
<br />Used for new tag notification.</td>
</tr>
<tr valign="top">
<th scope="row"><label for="num_frontpage_posts">Number of front page posts: </label></th>
<td><input type="text" name="num_frontpage_posts" size="5" value="<?php echo get_settings('squible_num_frontpage_posts'); ?>" />
<br />The number of posts displayed at the top of the front page.</td>
</tr>
<tr valign="top">
<th scope="row"><label for="limitchars">Number of characters in front page posts:</label></th>
<td><input type="text" name="limitchars" size="5" value="<?php echo get_settings('squible_limitchars'); ?>" /></td>
</tr>
<tr valign="top">
<th scope="row""><label for="allowed_html">HTML tags to allow in top post:</label></th>
<td><input type="text" name="allowed_html" value="<?php echo get_settings('squible_allowed_html'); ?>" />
<br />All other tags will be stripped from the output.</td>
</tr>
<tr valign="top">
<th scope="row"><label for="cats_to_exclude">Category IDs to exclude:</label></th>
<td><input type="text" name="cats_to_exclude" value="<?php echo get_settings('squible_cats_to_exclude'); ?>" />
<br />Hides categories from being displayed on the front page - useful for asides. Separate with commas.</td>
</tr>
<tr valign="top">
<th scope="row"><label for="show_author">Show author of posts? </label></th>
<td><input type="radio" name="show_author" value="1" <?php if(get_settings('squible_show_author') == 1) {echo 'checked';} ?> > Yes</input> <input type="radio" name="show_author" value="0" <?php if(get_settings('squible_show_author') != 1) {echo 'checked';} ?> > No</input></td>
</tr>
<tr valign="top">
<th scope="row"><label for="use_ajax">Use AJAX comments?</label></th>
<td><input type="radio" name="use_ajax" value="1" <?php if(get_settings('squible_use_ajax') == 1) {echo 'checked';} ?> > Yes</input> <input type="radio" name="use_ajax" value="0" <?php if(get_settings('squible_use_ajax') != 1) {echo 'checked';} ?> > No</input>
<br />Note: NOT compatible with Spam Karma!</td>
</tr>
<tr valign="top">
<th scope="row"><label for="search_by_tags">Search by: </label></th>
<td><input type="radio" name="search_by_tags" value="1" <?php if(get_settings('squible_search_by_tags') == 1) {echo 'checked';} ?> > Tags</input> or <input type="radio" name="search_by_tags" value="0" <?php if(get_settings('squible_search_by_tags') != 1) {echo 'checked';} ?> > Content</input>
<br />Tag search requires <a href="http://www.neato.co.nz/" target="_new">Ultimate Tag Warrior</a>.</td>
</tr>
<tr valign="top">
<th scope="row"><label for="nifty_numrelatedtags">Nifty box number of related tags: </label></th>
<td><input type="text" size="5" name="nifty_numrelatedtags" value="<?php echo get_settings('squible_nifty_numrelatedtags'); ?>" /></td>
</tr>
<tr valign="top">
<th scope="row"><label for="nifty_numrelatedposts">Nifty box number of related posts: </label></th>
<td><input type="text" size="5" name="nifty_numrelatedposts" value="<?php echo get_settings('squible_nifty_numrelatedposts'); ?>" />
<br />This also requires <a href="http://www.neato.co.nz/" target="_new">Ultimate Tag Warrior</a>.</td>
</tr>
</table>
<br />
</fieldset>
<fieldset class="options">
<legend>Colours!</legend>
<SCRIPT LANGUAGE="JavaScript">cp.writeDiv()</SCRIPT>
<table class="optiontable">
<tr valign="top">
<th scope="row"><label for="use_admin_colours">Use the colours defined here?</label></th>
<td><input type="radio" name="use_admin_colours" value="1" <?php if(get_settings('squible_use_admin_colours') == 1) {echo 'checked';} ?> > Yes</input> 
<input type="radio" name="use_admin_colours" value="0" <?php if(get_settings('squible_use_admin_colours') != 1) {echo 'checked';} ?> > No</input>
<br />If no, resorts to the CSS files.</td>
<td rowspan="12"><?php include(get_stylesheet_directory() . "/samplesquible.php"); ?></td>
</tr>
<tr valign="top">
<th scope="row"><label for="page_bgcolor">Page background: </label></th>
<td><input type="text" size="8" name="page_bgcolor" value="<?php echo get_settings('squible_page_bgcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].page_bgcolor,'page_bgcolor_pick'); return false;" name="page_bgcolor_pick" id="page_bgcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="content_bgcolor">Content background: </label></th>
<td><input type="text" size="8" name="content_bgcolor" value="<?php echo get_settings('squible_content_bgcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].content_bgcolor,'content_bgcolor_pick');return false;" name="content_bgcolor_pick" id="content_bgcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="content_textcolor">Content text: </label></th>
<td><input type="text" size="8" name="content_textcolor" value="<?php echo get_settings('squible_content_textcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].content_textcolor,'content_textcolor_pick');return false;" name="content_textcolor_pick" id="content_textcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="header_bgcolor">Header Background: </label></th>
<td><input type="text" size="8" name="header_bgcolor" value="<?php echo get_settings('squible_header_bgcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].header_bgcolor,'header_bgcolor_pick');return false;" name="header_bgcolor_pick" id="header_bgcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="header_textcolor">Header Text: </label></th>
<td><input type="text" size="8" name="header_textcolor" value="<?php echo get_settings('squible_header_textcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].header_textcolor,'header_textcolor_pick');return false;" name="header_textcolor_pick" id="header_textcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="midpanel_bgcolor">Mid Panel Background: </label></th>
<td><input type="text" size="8" name="midpanel_bgcolor" value="<?php echo get_settings('squible_midpanel_bgcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].midpanel_bgcolor,'midpanel_bgcolor_pick');return false;" name="midpanel_bgcolor_pick" id="midpanel_bgcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="midpanel_textcolor">Mid Panel Text: </label></th>
<td><input type="text" size="8" name="midpanel_textcolor" value="<?php echo get_settings('squible_midpanel_textcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].midpanel_textcolor,'midpanel_textcolor_pick');return false;" name="midpanel_textcolor_pick" id="midpanel_textcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="botpanel_bgcolor">Bot Panel Background: </label></th>
<td><input type="text" size="8" name="botpanel_bgcolor" value="<?php echo get_settings('squible_botpanel_bgcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].botpanel_bgcolor,'botpanel_bgcolor_pick');return false;" name="botpanel_bgcolor_pick" id="botpanel_bgcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="botpanel_textcolor">Bot Panel Text: </label></th>
<td><input type="text" size="8" name="botpanel_textcolor" value="<?php echo get_settings('squible_botpanel_textcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].botpanel_textcolor,'botpanel_textcolor_pick');return false;" name="botpanel_textcolor_pick" id="botpanel_textcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="credits_bgcolor">Credits Background: </label></th>
<td><input type="text" size="8" name="credits_bgcolor" value="<?php echo get_settings('squible_credits_bgcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].credits_bgcolor,'credits_bgcolor_pick');return false;" name="credits_bgcolor_pick" id="credits_bgcolor_pick">Choose</a></td>
</tr>
<tr valign="top">
<th scope="row"><label for="credits_textcolor">Credits Text: </label></th>
<td><input type="text" size="8" name="credits_textcolor" value="<?php echo get_settings('squible_credits_textcolor'); ?>" /> <a href="#" onClick="cp.select(document.forms[0].credits_textcolor,'credits_textcolor_pick');return false;" name="credits_textcolor_pick" id="credits_textcolor_pick">Choose</a></td>
</tr>
</table>
<div style="clear:both;"></div>
<br />
<input type="hidden" name="action" value="save-squibleoptions" />
<p class="submit"><input type="submit" name="Submit" value="Update Options &raquo;" /></p>
</fieldset>
</form>
</div>

<?php } ?>