<?php
/*
Plugin Name: Asides widget
Description: A widget to display the content of the n most recent posts from the specified category - designed for aside usage.
Author: James Carppe
Version: 1.0
Author URI: http://www.squible.com/
*/

function widget_asides_init() {

	if ( !function_exists('register_sidebar_widget') )
		return;

	function widget_asides($args) {
		global $wpdb;
		
		extract($args);

		$options = get_option('widget_asides');
		$title = $options['title'];
		$thecategory = $options['thecategory'];
		$numposts = $options['numposts'];

		echo $before_widget . $before_title . $title . $after_title;

		$my_query = new WP_Query('showposts=100'); 
		$found=0;
		while ($my_query->have_posts()) : $my_query->the_post();
			if (!in_category($thecategory)) {continue;}
			$found++;
			echo '<div class="asides">';
			echo wptexturize(get_the_content('', 0, ''));
			echo ' ';
			comments_popup_link('(0)', '(1)', '(%)' );
			echo ' ';
			edit_post_link("(e)", "", "");
			echo '</div>';
			if ($found == $numposts) {break;}
		endwhile;

		echo $after_widget;
	}

	function widget_asides_control() {

		$options = get_option('widget_asides');
		if ( !is_array($options) )
			$options = array('title'=>'Asides', 'thecategory'=>'', 'numposts'=>'10');
		if ( $_POST['asides-submit'] ) {

			$options['title'] = strip_tags(stripslashes($_POST['asides-title']));
			$options['thecategory'] = strip_tags(stripslashes($_POST['asides-thecategory']));
			$options['numposts'] = strip_tags(stripslashes($_POST['asides-numposts']));
			update_option('widget_asides', $options);
		}

		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		$thecategory = htmlspecialchars($options['thecategory'], ENT_QUOTES);
		$numposts = htmlspecialchars($options['numposts'], ENT_QUOTES);
		
		echo '<p style="text-align:right;"><label for="asides-title">Title: <input style="width: 200px;" id="asides-title" name="asides-title" type="text" value="'.$title.'" /></label></p>';
		echo '<p style="text-align:right;"><label for="asides-thecategory">Category ID of posts to display: <input style="width: 50px;" id="asides-thecategory" name="asides-thecategory" type="text" value="'.$thecategory.'" /></label></p>';
		echo '<p style="text-align:right;"><label for="asides-numposts">Number of posts to display: <input style="width: 50px;" id="asides-numposts" name="asides-numposts" type="text" value="'.$numposts.'" /></label></p>';
		echo '<input type="hidden" id="asides-submit" name="asides-submit" value="1" />';
	}
	
	register_sidebar_widget('Asides', 'widget_asides');

	register_widget_control('Asides', 'widget_asides_control', 300, 150);
}

add_action('plugins_loaded', 'widget_asides_init');

?>