<?php
/*
Plugin Name: Previous Posts widget
Description: A more customizable version of the built-in Recent Posts widget.
Author: James Carppe
Version: 1.0
Author URI: http://www.squible.com/
*/

function widget_previousposts_init() {

	if ( !function_exists('register_sidebar_widget') )
		return;

	function widget_previousposts($args) {
		global $wpdb;
		
		extract($args);

		$options = get_option('widget_previousposts');
		$title = $options['title'];
		$excludecat = $options['excludecat'];
		$numprevposts = $options['numprevposts'];

		echo $before_widget . $before_title . $title . $after_title;
		
		$first = 0;
		rewind_posts();
		
		// 100 is just to guarantee that we will have enough posts to show
		// between asides and regular posts, don't worry, the loop will break after it finds
		// 10 regular posts. There's probably a better way to do this and I just don't know it.
		
		$my_query = new WP_Query('showposts=100');
		while ($my_query->have_posts()) : $my_query->the_post();
			if (in_exclude_cat($excludecat)) {continue;}
			if ($first == 0) { $first++; continue;}
			if ($first > $numprevposts) {break; }
			echo '<div class="prevposts">';
			echo '<div style="display: inline;float: right;">';
			the_time('d M y');
			echo '</div>';
			echo '<a href="';
			the_permalink();
			echo '" rel="bookmark">';
			the_title();
			echo '</a>';
			$words = get_the_content('', 0, '');
			if ($words) {
		        	$post = strip_tags($words);
               			$post = explode(' ', $post);
		               	$totalcount = count($post);
			} else {
				$totalcount=0;
			}
			echo '<div class="showwords"> '. $totalcount .' words</div>';
			echo '</div>';
			$first++;
		endwhile;
		echo $after_widget;
	}

	function widget_previousposts_control() {

		$options = get_option('widget_previousposts');
		if ( !is_array($options) )
			$options = array('title'=>'Previous Posts', 'excludecat'=>'', 'numprevposts'=>'10');
		if ( $_POST['previousposts-submit'] ) {

			$options['title'] = strip_tags(stripslashes($_POST['previousposts-title']));
			$options['excludecat'] = strip_tags(stripslashes($_POST['previousposts-excludecat']));
			$options['numprevposts'] = strip_tags(stripslashes($_POST['previousposts-numprevposts']));
			update_option('widget_previousposts', $options);
		}

		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		$excludecat = htmlspecialchars($options['excludecat'], ENT_QUOTES);
		$numprevposts = htmlspecialchars($options['numprevposts'], ENT_QUOTES);
		
		echo '<p style="text-align:right;"><label for="previousposts-title">Title: <input style="width: 200px;" id="previousposts-title" name="previousposts-title" type="text" value="'.$title.'" /></label></p>';
		echo '<p style="text-align:right;"><label for="previousposts-excludecat">Category IDs to exclude: <input style="width: 100px;" id="previousposts-excludecat" name="previousposts-excludecat" type="text" value="'.$excludecat.'" /></label></p>';
		echo '<p style="text-align:right;"><label for="previousposts-numprevposts">Number of posts to display: <input style="width: 50px;" id="previousposts-numprevposts" name="previousposts-numprevposts" type="text" value="'.$numprevposts.'" /></label></p>';
		echo '<input type="hidden" id="previousposts-submit" name="previousposts-submit" value="1" />';
	}
	
	register_sidebar_widget('Previous Posts', 'widget_previousposts');

	register_widget_control('Previous Posts', 'widget_previousposts_control', 300, 150);

	if (!function_exists(in_exclude_cat)) {	
		function in_exclude_cat($catlisting) {
			$array_catlisting = explode(",", $catlisting);
			foreach ($array_catlisting as $catnumber) {
				if (in_category($catnumber)) {return true;};
			}
			return false;
		}
	}
}

add_action('plugins_loaded', 'widget_previousposts_init');

?>