<?php
/*
Plugin Name: Popular Tags for UTW widget
Description: Displays the n most popular tags in a tag cloud - requires Ultimate Tag Warrior!
Author: James Carppe
Version: 1.0
Author URI: http://www.squible.com/
*/

function widget_utwpopulartags_init() {

	if ( !function_exists('register_sidebar_widget') )
		return;

	function widget_utwpopulartags($args) {
		
		extract($args);

		$options = get_option('widget_utwpopulartags');
		$title = $options['title'];
		$numtags = $options['numtags'];

		echo $before_widget . $before_title . $title . $after_title;
		UTW_ShowWeightedTagSetAlphabetical("coloredsizedtagcloud", '', $numtags);
		echo $after_widget;
	}

	function widget_utwpopulartags_control() {

		$options = get_option('widget_utwpopulartags');
		if ( !is_array($options) )
			$options = array('title'=>'Popular Tags', 'numtags'=>'50');
		if ( $_POST['utwpopulartags-submit'] ) {

			$options['title'] = strip_tags(stripslashes($_POST['utwpopulartags-title']));
			$options['numtags'] = strip_tags(stripslashes($_POST['utwpopulartags-numtags']));
			update_option('widget_utwpopulartags', $options);
		}

		$title = htmlspecialchars($options['title'], ENT_QUOTES);
		$numtags = htmlspecialchars($options['numtags'], ENT_QUOTES);
		
		echo '<p style="text-align:right;"><label for="utwpopulartags-title">Title: <input style="width: 200px;" id="utwpopulartags-title" name="utwpopulartags-title" type="text" value="'.$title.'" /></label></p>';
		echo '<p style="text-align:right;"><label for="utwpopulartags-numtags">Number of tags: <input style="width: 50px;" id="utwpopulartags-numtags" name="utwpopulartags-numtags" type="text" value="'.$numtags.'" /></label></p>';
		echo '<p style="text-align:center;">Remember: this widget requires Ultimate Tag Warrior!</p>';
		echo '<input type="hidden" id="utwpopulartags-submit" name="utwpopulartags-submit" value="1" />';
	}
	
	register_sidebar_widget('Popular Tags', 'widget_utwpopulartags');

	register_widget_control('Popular Tags', 'widget_utwpopulartags_control', 300, 150);
}

add_action('plugins_loaded', 'widget_utwpopulartags_init');

?>